/// <reference types="react" />
import * as React from 'react';
import * as common from 'json-editor-color-label';
export * from 'json-editor-color-label';
import { Dragula, MarkdownItType, HLJS } from 'json-editor-color-label/dist/libs';
/**
 * @public
 */
export declare type Props = {
    schema: common.Schema;
    initialValue: common.ValueType;
    updateValue: (value: common.ValueType | undefined, isValid: boolean) => void;
    theme?: string;
    icon?: string;
    locale?: common.Locale | null;
    readonly?: boolean;
    dragula?: Dragula;
    markdownit?: MarkdownItType;
    hljs?: HLJS;
    forceHttps?: boolean;
    disableCollapse?: boolean;
    noSelect2?: boolean;
};
/**
 * @public
 */
export declare class JSONEditor extends React.Component<Props, {}> {
    private md?;
    constructor(props: Props);
    render(): JSX.Element;
    private updateValue;
}
